# Interface ISendAlertService

Namespace
  adas_core.Application.Services.Interfaces

Assembly
  adas-core.Application.dll

    public interface ISendAlertService

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### GetApiClients()

Retrieves a list of API clients.

    Task<List<ApiClients>> GetApiClients()

#### Returns

Task<List<ApiClients>>

  A task that represents the asynchronous operation. The task result contains a list of ApiClients.

### GetPerformance()

Retrieves a list of performance records.

    List<Performance> GetPerformance()

#### Returns

List<Performance>

  A list of Performance objects.

### GetQueues()

Asynchronously retrieves a list of available queues.

    Task<List<Queue>> GetQueues()

#### Returns

Task<List<Queue>>

  A task that represents the asynchronous operation, containing the list of Queue instances.